net.sf.cpsolver.studentsct.heuristics

## Class RouletteWheelRequestSelection

- java.lang.Object
- - net.sf.cpsolver.studentsct.heuristics.RouletteWheelRequestSelection

- All Implemented Interfaces:
    VariableSelection<Request,Enrollment>

      public class RouletteWheelRequestSelection
      extends Object
      implements VariableSelection<Request,Enrollment>

  Variable (`Request`) selection using `RouletteWheelSelection`. Unassigned request has 10 points, an assigned request has 1 point for each section that exceeds its bound.
  Version:
    StudentSct 1.2 (Student Sectioning)
    Copyright (C) 2007 - 2010 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RouletteWheelRequestSelection(DataProperties properties)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RouletteWheelSelection<Request>` | `getRoulette(Solution<Request,Enrollment> solution)` Populate roulette wheel selection, if null or empty.
    `void` | `init(Solver<Request,Enrollment> solver)` Initialization
    `Request` | `selectVariable(Solution<Request,Enrollment> solution)` Variable selection.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RouletteWheelRequestSelection

          public RouletteWheelRequestSelection(DataProperties properties)

      Constructor
      Parameters:
        `properties` - configuration

  - ### Method Detail

    - #### init

          public void init(Solver<Request,Enrollment> solver)

      Initialization
      Specified by:
        `init` in interface `VariableSelection<Request,Enrollment>`

    - #### getRoulette

          protected RouletteWheelSelection<Request> getRoulette(Solution<Request,Enrollment> solution)

      Populate roulette wheel selection, if null or empty.

    - #### selectVariable

          public Request selectVariable(Solution<Request,Enrollment> solution)

      Variable selection. `RouletteWheelSelection` is used. Unassigned request has 10 points, an assigned request has 1 point for each section that exceeds its bound.
      Specified by:
        `selectVariable` in interface `VariableSelection<Request,Enrollment>`
      Parameters:
        `solution` - current solution